CREATE TABLE metrics_04 (
    id bigint,
    "timestamp" timestamp without time zone,
    capture_interval integer,
    resource_id bigint,
    resource_type character varying(255),
    cpu_usage_rate_average double precision,
    cpu_usagemhz_rate_average double precision,
    mem_usage_absolute_average double precision,
    disk_usage_rate_average double precision,
    net_usage_rate_average double precision,
    sys_uptime_absolute_latest double precision,
    created_on timestamp without time zone,
    derived_cpu_available double precision,
    derived_memory_available double precision,
    derived_memory_used double precision,
    derived_cpu_reserved double precision,
    derived_memory_reserved double precision,
    derived_vm_count_on integer,
    derived_host_count_on integer,
    derived_vm_count_off integer,
    derived_host_count_off integer,
    derived_storage_total double precision,
    derived_storage_free double precision,
    capture_interval_name character varying(255),
    assoc_ids text,
    cpu_ready_delta_summation double precision,
    cpu_system_delta_summation double precision,
    cpu_wait_delta_summation double precision,
    resource_name character varying(255),
    cpu_used_delta_summation double precision,
    tag_names text,
    parent_host_id bigint,
    parent_ems_cluster_id bigint,
    parent_storage_id bigint,
    parent_ems_id bigint,
    derived_storage_vm_count_registered double precision,
    derived_storage_vm_count_unregistered double precision,
    derived_storage_vm_count_unmanaged double precision,
    derived_storage_used_registered double precision,
    derived_storage_used_unregistered double precision,
    derived_storage_used_unmanaged double precision,
    derived_storage_snapshot_registered double precision,
    derived_storage_snapshot_unregistered double precision,
    derived_storage_snapshot_unmanaged double precision,
    derived_storage_mem_registered double precision,
    derived_storage_mem_unregistered double precision,
    derived_storage_mem_unmanaged double precision,
    derived_storage_disk_registered double precision,
    derived_storage_disk_unregistered double precision,
    derived_storage_disk_unmanaged double precision,
    derived_storage_vm_count_managed double precision,
    derived_storage_used_managed double precision,
    derived_storage_snapshot_managed double precision,
    derived_storage_mem_managed double precision,
    derived_storage_disk_managed double precision,
    min_max text,
    intervals_in_rollup integer,
    mem_vmmemctl_absolute_average double precision,
    mem_vmmemctltarget_absolute_average double precision,
    mem_swapin_absolute_average double precision,
    mem_swapout_absolute_average double precision,
    mem_swapped_absolute_average double precision,
    mem_swaptarget_absolute_average double precision,
    derived_vm_used_disk_storage double precision,
    derived_vm_allocated_disk_storage double precision,
    derived_vm_numvcpus double precision,
    disk_devicelatency_absolute_average double precision,
    disk_kernellatency_absolute_average double precision,
    disk_queuelatency_absolute_average double precision,
    time_profile_id bigint,
    CONSTRAINT metrics_04_inheritance_check CHECK ((((capture_interval_name)::text = 'realtime'::text) AND (date_part('hour'::text, "timestamp") = (4)::double precision)))
)
INHERITS (metrics);
